# Retrieve an identity provider

To fetch a single identity provider, send a `GET` request to the `/api/identity_providers/:id` endpoint, where `id` is the ID of the resource that you want to retrieve.

## Request

**GET** <https://provisioning.commercelayer.io/ap&#x69;**/identity\\_providers/:id>\*\*

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches the identity provider identified by the id "xYZkjABcde":

```sh
curl -g -X GET \
  'https://provisioning.commercelayer.io/api/identity_providers/xYZkjABcde' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a single resource object:

```javascript
{
  "data": {
    "id": "xYZkjABcde",
    "type": "identity_providers",
    "links": {
      "self": "https://provisioning.commercelayer.io/api/identity_providers/xYZkjABcde"
    },
    "attributes": {
      "name": "Org auth0",
      "client_id": "a6CDk5v1ZV99GrtOcfYVEZRnDDt",
      "client_secret": "s6CD55v1ZV99ArtOcfYVEZRnDDf",
      "issuer": "https://dev.auth987.com/",
      "status": "pending",
      "domains": "dev.auth987.com,stg.auth987.com",
      "token_url": "https://dev.auth987.com/oauth/token",
      "authorize_url": "https://dev.auth987.com/authorize",
      "jwks_url": "https://dev.auth987.com/.well-known/jwks.json",
      "txt_record": "cl-verification=a6CDk5v",
      "organization": "org_76gsfs5gd",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      },
      "disabled_at": "2018-01-01T12:00:00.000Z"
    },
    "relationships": {
      "user": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/identity_providers/xYZkjABcde/relationships/user",
          "related": "https://provisioning.commercelayer.io/api/identity_providers/xYZkjABcde/user"
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}
